import { PRTRendezVous } from '@lib/types';
import React from 'react';
import RendezvousList from './RendezvousList';

export default {
  title: 'Design system|Pages/DashboardPage/RightSidebar/RendezVousList',
  parameters: {
    info: { inline: true },
  },
};

export const rendezVous = () => {
  const invites = [
    {
      id: 'id1',
      civilite: 'CIV2',
      nom: 'Nom',
      prenom: 'Prenom',
      fonction: 'fonction',
      photo: {
        id: '',
        publicUrl:
          'https://secure.gravatar.com/avatar/65ac898a11bad870bf704061f1b0e105?s=80&d=identicon',
      },
      contact: {
        cp: 'cp',
        ville: 'ville',
        pays: 'pays',
        adresse1: 'adresse 1',
        adresse2: 'adresse 2',
        faxProf: 'faxProf',
        faxPerso: 'faxPerso',
        telProf: 'telProf',
        telMobProf: 'telMobProf',
        telPerso: 'telPerso',
        telMobPerso: 't',
        mailProf: 'mfdgd',
        mailPerso: 'fdsf',
        siteProf: 'fgdsf',
        sitePerso: 'fdf',
        whatsappMobProf: 'dfsd',
        whatsappMobPerso: 'fdf',
        compteSkypeProf: 'fqdqsd',
        compteSkypePerso: 'fgfsd',
        urlLinkedInProf: 'fdf',
        urlLinkedInPerso: 'fdfd',
        urlTwitterProf: 'fdfs',
        urlTwitterPerso: 'fdfs',
        urlFacebookProf: 'sqd',
        urlFacebookPerso: 'fdf',
        codeMaj: 'fdfds',
        idUserCreation: 'fdfd',
        idUserModification: 'dqsd',
      },
    },
    {
      id: 'id2',
      civilite: 'CIV1',
      nom: 'Nom',
      prenom: 'Prenom',
      fonction: 'fonction',
      photo: {
        id: '',
        publicUrl:
          'https://secure.gravatar.com/avatar/65ac898a11bad870bf704061f1b0e105?s=80&d=identicon',
      },
      contact: {
        cp: 'cp',
        ville: 'ville',
        pays: 'pays',
        adresse1: 'adresse 1',
        adresse2: 'adresse 2',
        faxProf: 'faxProf',
        faxPerso: 'faxPerso',
        telProf: 'telProf',
        telMobProf: 'telMobProf',
        telPerso: 'telPerso',
        telMobPerso: 't',
        mailProf: 'mfdgd',
        mailPerso: 'fdsf',
        siteProf: 'fgdsf',
        sitePerso: 'fdf',
        whatsappMobProf: 'dfsd',
        whatsappMobPerso: 'fdf',
        compteSkypeProf: 'fqdqsd',
        compteSkypePerso: 'fgfsd',
        urlLinkedInProf: 'fdf',
        urlLinkedInPerso: 'fdfd',
        urlTwitterProf: 'fdfs',
        urlTwitterPerso: 'fdfs',
        urlFacebookProf: 'sqd',
        urlFacebookPerso: 'fdf',
        codeMaj: 'fdfds',
        idUserCreation: 'fdfd',
        idUserModification: 'dqsd',
      },
    },
  ];

  const users = [
    {
      id: 'id1',
      email: '',
      emailConfirmed: true,
      passwordHash: '',
      passwordSecretAnswer: '',
      phoneNumber: '',
      phoneNumberConfirmed: true,
      twoFactorEnabled: true,
      lockoutEndDateUtc: new Date(),
      lockoutEnabled: true,
      accessFailedCount: 0,
      userName: 'Cécile ZUSSY',
      lastLoginDate: new Date(),
      lastPasswordChangedDate: new Date(),
      isLockedOut: false,
      isLockedOutPermanent: false,
      isObligationChangePassword: false,
      accessFailedCountBeforeLockoutPermanent: 0,
      idGroupement: 'id1',
      status: '',
      theme: '',
      jourNaissance: 2,
      moisNaissance: 7,
      anneeNaissance: 2000,
      createdAt: new Date(),
      updatedAt: new Date(),
      photo: {
        id: '',
        publicUrl:
          'https://avatars0.githubusercontent.com/u/47183345?s=460&u=d325a99dd569d0759a59c5d6d80feea36451c707&v=4',
      },
    },
    {
      id: 'id2',
      email: '',
      emailConfirmed: true,
      passwordHash: '',
      passwordSecretAnswer: '',
      phoneNumber: '',
      phoneNumberConfirmed: true,
      twoFactorEnabled: true,
      lockoutEndDateUtc: new Date(),
      lockoutEnabled: true,
      accessFailedCount: 0,
      userName: 'Jennifer DIDIER',
      lastLoginDate: new Date(),
      lastPasswordChangedDate: new Date(),
      isLockedOut: false,
      isLockedOutPermanent: false,
      isObligationChangePassword: false,
      accessFailedCountBeforeLockoutPermanent: 0,
      idGroupement: 'id2',
      status: '',
      theme: '',
      jourNaissance: 2,
      moisNaissance: 7,
      anneeNaissance: 2000,
      createdAt: new Date(),
      updatedAt: new Date(),
      photo: {
        id: '',
        publicUrl:
          'https://avatars0.githubusercontent.com/u/47183345?s=460&u=d325a99dd569d0759a59c5d6d80feea36451c707&v=4',
      },
    },
  ];

  const rendezVous: PRTRendezVous[] = [
    {
      id: 'rdv1',
      dateRendezVous: new Date(),
      heureDebut: '07:30',
      heureFin: '08:00',
      ordreJour: '',
      statut: 'PLANIFIE',
      idPartenaireTypeAssocie: '',
      partenaireType: 'LABORATOIRE',
      invites,
      participants: users,
    },
    {
      id: 'rdv1',
      dateRendezVous: new Date(),
      heureDebut: '07:30',
      heureFin: '08:00',
      ordreJour: '',
      statut: 'PLANIFIE',
      idPartenaireTypeAssocie: '',
      partenaireType: 'LABORATOIRE',
      invites,
      participants: users,
    },
  ];

  return <RendezvousList rendezVous={rendezVous} />;
};
